Page MenuHomePhabricator

elementary: Check for valid frame object
ClosedPublic

Authored by devilhorns on Jul 19 2018, 5:51 PM.

Details

Summary

Make sure we have a valid frame object before calling edje & evas
functions on it. This patch fixes an issue where NULL is being passed
to eo functions

ref T7030

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Jul 19 2018, 5:51 PM
zmike requested changes to this revision.Jul 20 2018, 1:34 PM

This should only be NULL for ELM_WIN_FAKE types, so probably the conditional should explicitly test for that since any other case is an actual bug and not expected behavior.

It may also be worthwhile to evaluate other similar calls on this object to see if they need similar checking to avoid errors.

This revision now requires changes to proceed.Jul 20 2018, 1:34 PM
devilhorns updated this revision to Diff 15859.Jul 25 2018, 3:04 AM

Check for valid window type instead of valid frame object

zmike accepted this revision.Jul 25 2018, 9:07 AM
This revision is now accepted and ready to land.Jul 25 2018, 9:07 AM
This revision was automatically updated to reflect the committed changes.